using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF.ic
{
    public class IntAufenthalt
    {
        internal readonly string Key;
        List<IntAbteilung> _abteilungen;

        internal IntAufenthalt (IntAbteilung abteilung)
        {
            _abteilungen = new List<IntAbteilung>() { abteilung };
            Key = abteilung.AUFKey;
        }

        internal void Add (IntAbteilung abteilung)
        {
            _abteilungen.Add(abteilung);
        }

        public int Count
        {
            get
            {
                return _abteilungen.Count;
            }
        }

        public IEnumerable<IntAbteilung> Abteilungen
        {
            get
            {
                return _abteilungen;
            }
        }

        public IntAbteilung GetIntAbteilung(string ABTPOS)
        {
            foreach (var ia in _abteilungen)
            {
                if (ia.ABTPOS == ABTPOS)
                {
                    return ia;
                }
            }
            return null;
        }

        public IntAbteilung First
        {
            get
            {
                return _abteilungen[0];
            }
        }
    }
}
